

capture program drop weather
program weather
    version 16
    python: import __main__
    python: __main__.weather()
    display "Current weather in Seattle:"
    display "`cloudy' and `temp' degrees"
end

python:
import requests
import json
from sfi import Macro

def weather():
    URL = 'https://api.weather.gov/points/47.608013,-122.335167/forecast/hourly'
    data = requests.get(URL).json()
    nwsdata = data.get('properties', [])
    record = nwsdata['periods'][1]
    temp = str(record['temperature'])
    cloudy = record['shortForecast']
    Macro.setLocal("temp", temp)
    Macro.setLocal("cloudy", cloudy)
end
